package nested;

import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class IfConditionTag extends BodyTagSupport {
	
	private static final long serialVersionUID = 1L;
	public int doStartTag() throws JspTagException {
		IfTag parent =
			(IfTag)findAncestorWithClass(this, IfTag.class);
		if (parent == null) {
			throw new JspTagException("a condition tag nincs if-en belul");
		}
		return(EVAL_BODY_BUFFERED);
	}
	public int doAfterBody() {
		IfTag parent =
			(IfTag)findAncestorWithClass(this, IfTag.class);
		String bodyString = getBodyContent().getString();
		if (bodyString.trim().equals("true")) {
			parent.setCondition(true);
		} else {
			parent.setCondition(false);
		}
		return(SKIP_BODY);
	}
}
