package repeat;


import java.io.IOException;
import java.util.Calendar;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;
public class GreetingTag extends TagSupport
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private boolean verbose = false;
	public void setVerbose (boolean verbose)
	{		
			this.verbose = verbose;
	}
	
	public int doStartTag() throws JspException
	{
		JspWriter writer = pageContext.getOut();
		Calendar cal = Calendar.getInstance ();
		try
		{
			if (cal.get(Calendar.AM_PM) == Calendar.AM)
			{
				writer.print ("Kellemes delelottot!");
			}
			else
			{
				writer.print ("Kellemes delutant!");
			}
			if (verbose)
				writer.print (" A pontos ido " + cal.get(Calendar.HOUR) + "	ora "
						+ cal.get (Calendar.MINUTE) + " perc.");
		}
		catch (IOException e)
		{
			throw new JspException (e.getMessage());
		}
		return SKIP_BODY;
	}
}